Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 421829

Summary: media-plugins/gst-plugins-ffmpeg-0.10.13-r1 with ABI=x32 - libswscale/x86/swscale_template.c:998: Error: operand type mismatch for `push'
Product: Gentoo Linux Reporter: Xavier Miller <xaviermiller>
Component: Current packagesAssignee: GStreamer package maintainers <gstreamer>
Status: RESOLVED FIXED    
Severity: normal CC: aballier
Priority: Normal    
Version: unspecified   
Hardware: AMD64   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 393673    
Attachments: build.log

Description Xavier Miller gentoo-dev 2012-06-18 19:30:04 UTC
ibswscale/x86/swscale_template.c: Assembler messages:
libswscale/x86/swscale_template.c:998: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1060: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1061: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1079: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1080: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1100: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1021: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1103: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1044: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1149: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1066: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1149: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1094: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1176: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1162: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1211: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1304: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1373: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1332: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1405: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1345: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1414: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1317: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1382: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1384: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1476: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1371: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1459: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1428: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1498: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1409: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1475: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1478: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1547: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1459: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1524: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1558: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1588: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1546: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1572: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1919: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1921: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1944: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1945: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1963: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1965: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1998: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1999: Error: operand type mismatch for `pop'
CC      libswscale/x86/yuv2rgb_mmx.o
CC      libswscale/yuv2rgb.o
libswscale/x86/swscale_template.c:998: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1060: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1061: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1079: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1080: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1100: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1021: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1103: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1044: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1142: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1066: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1149: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1094: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1176: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1162: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1211: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1304: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1373: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1332: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1405: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1345: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1414: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1317: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1382: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1384: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1469: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1371: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1452: Error: operand type mismatch for `pop'
CC      libavutil/adler32.o
CC      libavutil/aes.o
libswscale/x86/swscale_template.c:1428: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1498: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1409: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1475: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1478: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1547: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1459: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1524: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1558: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1588: Error: operand type mismatch for `pop'
libswscale/x86/swscale_template.c:1546: Error: operand type mismatch for `push'
libswscale/x86/swscale_template.c:1572: Error: operand type mismatch for `pop'
distcc[13771] ERROR: compile (null) on localhost failed
make[5]: *** [libswscale/x86/swscale_mmx.o] Error 1
make[5]: *** Waiting for unfinished jobs....
libavutil/aes.c: In function 'av_aes_init':
libavutil/aes.c:160:9: warning: passing argument 1 of 'init_multbl2' from incompatible pointer type [enabled by default]
libavutil/aes.c:122:13: note: expected 'uint8_t *' but argument is of type 'uint32_t *'
libavutil/aes.c:161:9: warning: passing argument 1 of 'init_multbl2' from incompatible pointer type [enabled by default]
libavutil/aes.c:122:13: note: expected 'uint8_t *' but argument is of type 'uint32_t *'
libswscale/yuv2rgb.c: In function 'ff_yuv2rgb_c_init_tables':
libswscale/yuv2rgb.c:792:66: warning: 'abase' may be used uninitialized in this function [-Wmaybe-uninitialized]
make[5]: Leaving directory `/var/tmp/portage/media-plugins/gst-plugins-ffmpeg-0.10.13-r1/work/gst-ffmpeg-0.10.13/gst-libs/ext/libav'
make[4]: *** [all-local] Error 2
make[4]: Leaving directory `/var/tmp/portage/media-plugins/gst-plugins-ffmpeg-0.10.13-r1/work/gst-ffmpeg-0.10.13/gst-libs/ext'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/var/tmp/portage/media-plugins/gst-plugins-ffmpeg-0.10.13-r1/work/gst-ffmpeg-0.10.13/gst-libs/ext'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/media-plugins/gst-plugins-ffmpeg-0.10.13-r1/work/gst-ffmpeg-0.10.13/gst-libs'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/media-plugins/gst-plugins-ffmpeg-0.10.13-r1/work/gst-ffmpeg-0.10.13'
make: *** [all] Error 2
 * ERROR: media-plugins/gst-plugins-ffmpeg-0.10.13-r1 failed (compile phase):
 *   emake failed
 * 
 * If you need support, post the output of `emerge --info '=media-plugins/gst-plugins-ffmpeg-0.10.13-r1'`,
 * the complete build log and the output of `emerge -pqv '=media-plugins/gst-plugins-ffmpeg-0.10.13-r1'`.
 * The complete build log is located at '/var/tmp/portage/media-plugins/gst-plugins-ffmpeg-0.10.13-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-plugins/gst-plugins-ffmpeg-0.10.13-r1/temp/environment'.
 * Working directory: '/var/tmp/portage/media-plugins/gst-plugins-ffmpeg-0.10.13-r1/work/gst-ffmpeg-0.10.13'
 * S: '/var/tmp/portage/media-plugins/gst-plugins-ffmpeg-0.10.13-r1/work/gst-ffmpeg-0.10.13'



Reproducible: Always
Comment 1 Xavier Miller gentoo-dev 2012-06-18 19:30:37 UTC
emerge --info '=media-plugins/gst-plugins-ffmpeg-0.10.13-r1'
Portage 2.2.0_alpha110 (default/linux/amd64/10.0/x32, gcc-4.7.1, glibc-2.15-r2, 3.4.0-gentoo x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.4.0-gentoo-x86_64-AMD_Athlon-tm-64_X2_Dual_Core_Processor_4400+-with-gentoo-2.1
Timestamp of tree: Mon, 18 Jun 2012 15:35:01 +0000
distcc 3.1 x86_64-gentoo-linux-gnu [enabled]
app-shells/bash:          4.2_p29
dev-lang/python:          2.7.3-r2, 3.2.3-r1
dev-util/cmake:           2.8.8-r3
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.10.3
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.5, 1.12.1
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.7.1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.4 (virtual/os-headers)
sys-libs/glibc:           2.15-r2
Repositories: gentoo local pandaboard pd-overlay proaudio
Installed sets: 
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="@FREE freedist"
CBUILD="x86_64-gentoo-linux-gnu"
CFLAGS="-O2 -pipe -fomit-frame-pointer -march=native -mtune=native"
CHOST="x86_64-gentoo-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -fomit-frame-pointer -march=native -mtune=native"
DISTDIR="/var/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps y --buildpkg --quiet-build=n"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildpkg candy collision-protect config-protect-if-modified distcc distcc-pump distlocks ebuild-locks fixlafiles multilib-strict news parallel-fetch parse-eapi-ebuild-head preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/"
LDFLAGS="-Wl,-O1 -Wl,--sort-common -Wl,--hash-style=gnu -Wl,--as-needed"
LINGUAS="fr"
MAKEOPTS="-j7"
PKGDIR="/var/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/overlay /var/lib/layman/pandaboard /var/lib/layman/pd-overlay /var/lib/layman/pro-audio"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X aac acl alsa amd64 amr apng branding btrfs bzip2 cairo cdda cddb cli consolekit cracklib crypt cups cxx dbus device-mapper dri dssi encode exif fat ffmpeg fftw flac fortran gif gpm gstreamer gt3 gtk gudev hwdb iconv id3tag jack jpeg ladspa lame libsamplerate lxde mmx modules mp3 mpeg mudflap multilib ncurses nls nptl ntfs ogg opengl openmp osc pam pcre pdf png policykit pppd qt qt3support qt4 readline rubberband samba sdl session sqlite sse sse2 ssl svg tcpd threads tiff truetype udev unicode usb vorbis wmf x264 xcb xetex xorg xvid zlib" ALSA_CARDS="ice1712 hda-intel usb-audio virmidi" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" DVB_CARDS="usb-af9015" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="fr" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" QEMU_SOFTMMU_TARGETS="arm i386 x86_64" QEMU_USER_TARGETS="arm i386 x86_64" RUBY_TARGETS="ruby19" USERLAND="GNU" VIDEO_CARDS="nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 2 Xavier Miller gentoo-dev 2012-06-18 19:31:27 UTC
Created attachment 315697 [details]
build.log
Comment 3 Alexis Ballier gentoo-dev 2013-07-02 12:46:13 UTC

should be fixed in gst-plugins-ffmpeg-0.10.13_p201211 (uses system ffmpeg)